Invoice Update API
Sipariş için fatura numarası, fatura tarihi ve fatura görüntüleme linkini BaZaaRDan'a iletir.
Endpoint
POST/invoice_update.php
| Authentication | HMAC SHA256 required |
|---|---|
| Scope | Seller scoped |
| Permission | orders:invoice |
| Base URL | https://bazaardan.com/api/partner/v1 |
Required Headers
| Header | Açıklama |
|---|---|
X-BZ-CLIENT-ID | Partner uygulamasının Client ID değeri. |
X-BZ-TIMESTAMP | Unix timestamp. Örnek: 1778269200 |
X-BZ-SIGNATURE | Client Secret ile üretilen HMAC SHA256 imzası. |
Accept | application/json |
Content-Type | POST/PUT isteklerinde application/json |
Signature Standardı
İmza her zaman base URL sonrasındaki path üzerinden üretilir. Örnek: /invoice_update.php
METHOD + "\n" + PATH_WITH_QUERY + "\n" + TIMESTAMP + "\n" + RAW_BODY
Example Request Body
{
"order_item_id": 1024,
"invoice_no": "INV-2026-00001",
"invoice_date": "2026-06-18",
"invoice_url": "https://cdn.example.com/invoices/INV-2026-00001.pdf"
}
Example Response
{
"ok": true,
"data": {
"order_item_id": 1024,
"invoice_no": "INV-2026-00001",
"updated": true
}
}